Name:		lxhotkey
Version:	0.1.1
Release:	%mkrel 5.git20240817.1
Summary:	Lightweight global keyboard shortcuts configurator
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		https://github.com/lxde/%name
Source0:	https://github.com/lxde/%name/archive/refs/heads/master.zip
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libfm-gtk3)

%description
LXHotkey is a lightweight configurator independent of window manager and UI,
which intended to work with any possible window manager from any kind of UI,
using unified API.  The most wanted such thing is for window managers which
don't have own tool for managing keyboard shortcuts for the global actions
such as screen / windows manipulations and executing commands or starting
applications. Example of such window manager is Openbox.

%package devel
Summary:	Development files for LXHotkey
Group:		Graphical desktop/Other
Requires:	%{name} = %{version}

%description devel
This package contains development files needed for building
LXHotkey plugins.

%prep
%setup -qn %name-master

%build
./autogen.sh
%configure --with-gtk=3

%make_build

%install
%make_install

%find_lang %name

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}-gtk.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/gtk.so
%{_libdir}/%{name}/ob.so
%{_mandir}/man1/%{name}.1*

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Sep 10 2024 ns80 <ns80> 0.1.1-5.git20240817.1.mga10
+ Revision: 2094886
- update to latest git snapshot

* Fri Sep 22 2023 ns80 <ns80> 0.1.1-5.git20230918.1.mga10
+ Revision: 1989333
- update to latest git snapshot

* Fri Sep 08 2023 ns80 <ns80> 0.1.1-5.git20230907.1.mga10
+ Revision: 1985144
- update to latest git snapshot

* Thu Jan 12 2023 daviddavid <daviddavid> 0.1.1-4.mga9
+ Revision: 1932558
- rebuild for new libunistring 1.1

* Wed Dec 07 2022 daviddavid <daviddavid> 0.1.1-3.mga9
+ Revision: 1918934
- Mageia 9 Mass Rebuild
- fix owner of include and lib dir

* Tue Mar 02 2021 ns80 <ns80> 0.1.1-2.mga9
+ Revision: 1696085
- build with GTK 3

* Tue Feb 02 2021 ns80 <ns80> 0.1.1-1.mga8
+ Revision: 1674457
- new version 0.1.1

* Sat Feb 15 2020 umeabot <umeabot> 0.1.0-0.20190224.2.mga8
+ Revision: 1523454
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 0.1.0-0.20190224.1.mga7
+ Revision: 1371341
- update to latest git snapshot

* Mon Dec 17 2018 ns80 <ns80> 0.1.0-0.20181216.1.mga7
+ Revision: 1342266
- update to latest git snapshot, translation updates

* Sun Sep 23 2018 umeabot <umeabot> 0.1.0-0.20170104.2.mga7
+ Revision: 1299396
- Mageia 7 Mass Rebuild

* Wed Jan 04 2017 ns80 <ns80> 0.1.0-0.20170104.1.mga6
+ Revision: 1080040
- add French translation

* Wed Nov 16 2016 ns80 <ns80> 0.1.0-0.20161115.1.mga6
+ Revision: 1067534
- add Portuguese translation

* Mon Nov 07 2016 ns80 <ns80> 0.1.0-0.20161107.1.mga6
+ Revision: 1065728
- latest git commit

* Mon Nov 07 2016 ns80 <ns80> 0.1.0-0.20161106.1.mga6
+ Revision: 1065578
- latest git snapshot

* Fri Nov 04 2016 ns80 <ns80> 0.1.0-0.20161104.1.mga6
+ Revision: 1065257
- add Ukrainian and Serbian translations

* Fri Nov 04 2016 ns80 <ns80> 0.1.0-0.20161103.1.mga6
+ Revision: 1065246
- imported package lxhotkey

